import { Injectable } from '@angular/core';

export class EnvProperties {
  productionMode:boolean;
  enablePiwikTrack:boolean ;
  enableHelper:boolean;
  useCache:boolean ;
  showContent:boolean ;

  metricsAPIURL;
  framesAPIURL;
  statisticsFrameAPIURL;
  statisticsAPIURL;
  loginAPIURL;


  claimsAPIURL;;

  searchAPIURLLAst;

  searchResourcesAPIURL;



  csvAPIURL;

  searchCrossrefAPIURL;

  searchDataciteAPIURL;

  searchOrcidURL;

  pmidURL;
  doiURL;
  cordisURL;
  pmcURL;
  handleURL;
  openDoarURL;
  r3DataURL;

  // Zenodo's url
  zenodo;
  zenodoCommunities;
  // Open access link
  openAccess;
  // Open access repository link
  openAccessRepo;
  // FP7 link
  fp7Guidlines;
  // H2020 link
  h2020Guidlines;
  // ERC Guidlines
  ercGuidlines;
  // helpdesk link
  helpdesk;


  uploadService;

  vocabulariesAPI;

  piwikBaseUrl;
  piwikSiteId;


  loginUrl;

  logoutUrl;


  cookieDomain;


  feedbackmail;
  feedbackmailForMissingEntities;

  helperPageUrl;

  cacheUrl;


  adminToolsAPIURL;


  adminToolsCommunity;
  contextsAPI;
  communityAPI;
  communitiesAPI;
  datasourcesAPI;
  miningBackendURL;

  csvLimit: number;
  pagingLimit: number;
  resultsPerPage: number;

  //base url
  baseLink;
  //base url for OpenAIRE portal
  baseOpenaireLink;

  //landing Pages

  searchLinkToPublication;
  searchLinkToProject;
  searchLinkToDataProvider;
  searchLinkToDataset;
  searchLinkToOrp;
  searchLinkToOrganization;
  //Search pages
  searchLinkToPublications;
  searchLinkToDataProviders;
  searchLinkToProjects;
  searchLinkToDatasets;
  searchLinkToSoftware;
  searchLinkToOrps;
  searchLinkToOrganizations;
  searchLinkToCompatibleDataProviders;
  searchLinkToCompatibleDataProvidersTable;
  searchLinkToEntityRegistriesDataProviders;
  searchLinkToEntityRegistriesDataProvidersTable;
  searchLinkToJournals;
  searchLinkToJournalsTable;

  //Advanced Search for pages
  searchLinkToAdvancedPublications;
  searchLinkToAdvancedProjects;
  searchLinkToAdvancedDatasets;
  searchLinkToAdvancedSoftware;
  searchLinkToAdvancedOrps;
  searchLinkToAdvancedDataProviders;
  searchLinkToAdvancedOrganizations;
  searchLinkToAdvancedPeople;

  notifyForNewManagers;
  notifyForNewSubscribers;

  lastIndexInformationLink;
  showLastIndexInformationLink;

  widgetLink;
  claimsInformationLink;
}
