import {Component, Input} from '@angular/core';
import {RouterHelper} from '../../../utils/routerHelper.class';

//Usage Example "<project-title [project]="X" > </project-title>"

@Component({
  selector: 'project-title',
  template: `
  <span class="project-title">
    <span  ><a [queryParams]="routerHelper.createQueryParam('projectId',project['openaireId'])"   routerLinkActive="router-link-active" routerLink="/search/project" >{{project['name']}} ({{project['funderName']}})</a></span>
  </span>
  `
})

export class ProjectTitleFormatter {
  @Input() project: string[];
  @Input() searchLink: string;
  public url:string;
  public routerHelper:RouterHelper = new RouterHelper();
  constructor () {}

  ngOnInit() {
    this.url =this.searchLink+ "?projectId=" + this.project["openaireId"];
  }
}
